import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/payouts/index.ts
function createPayoutsResource(instanceId, client) {
  return {
    list(params) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/payouts${queryParams}`);
    },
    get(payoutId) {
      return client.get(`/instances/${instanceId}/payouts/${payoutId}`);
    },
    getTrack(payoutId) {
      return client.get(`/e/payouts/${payoutId}`);
    },
    authorizeStellarToken(_a) {
      var data = __objRest(_a, []);
      return client.post(`/instances/${instanceId}/payouts/stellar/authorize`, data);
    },
    createStellar(_b) {
      var data = __objRest(_b, []);
      return client.post(`/instances/${instanceId}/payouts/stellar`, data);
    },
    createEvm(_c) {
      var data = __objRest(_c, []);
      return client.post(`/instances/${instanceId}/payouts/evm`, data);
    },
    createSolana(_d) {
      var data = __objRest(_d, []);
      return client.post(`/instances/${instanceId}/payouts/solana`, data);
    },
    submitDocuments(_e) {
      var _f = _e, {
        payout_id
      } = _f, data = __objRest(_f, [
        "payout_id"
      ]);
      return client.post(`/instances/${instanceId}/payouts/${payout_id}/documents`, data);
    }
  };
}
var init_payouts = __esm({
  "src/resources/payouts/index.ts"() {
  }
});

export {
  createPayoutsResource,
  init_payouts
};
